#include <stdio.h>
#include <stdlib.h>

#define PRINT_HELP(prg) printf("Usage: %s <filename> <row-id> <col-id> <new value>\n", prg)

int main(int argc, char **argv) {
  struct matrix m;
  int fd;
  if (argc != 5) {
	PRINT_HELP(argv[0]);
	return(EXIT_FAILURE);
  }
  /* Load the matrix */
  if (load_matrix(fd, &m) == -1) {
	return(EXIT_FAILURE);
  }
  if (set_element(fd, &m, atoi(argv[2]), atoi(argv[3]), atoi(argv[4])) == -1) {
	return(EXIT_FAILURE);
  }
}
