#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include "mmap_matrix.h"

/* Matrix max value */
#define MAX_VALUE 100

/*
 * Generate n random values
 * data: output parameter filled with the generated values
 * n   : elements of the data array
 */
static void gen_rand(int *data, int n);

/*
 * Generate n values: 0,1,...,(MAX_VALUE-1),0,1,...
 * data: output parameter filled with the generated values
 * n   : elements of the data array
 */
static void gen_incr(int *data, int n);


int matrix_gen(int fd, int rows, int cols, short mode) {
  /* ... */
  return(-1);
}

int matrix_store(MATRIX *m) {
  /* ... */
  return(-1);
}

int matrix_load(int fd, MATRIX *m) {
  /* ... */
  return(-1);
}

static void gen_rand(int *data, int n) {
  /* Set random seed */
  srand((unsigned int)getpid());
  while(n--) {
	*data++ = rand() % MAX_VALUE;
  }
}

static void gen_incr(int *data, int n) {
  int x;
  x = 0;
  while (n--) {
	*data++ = x++;
	if (x == MAX_VALUE) {
	  x = 0;
	}
  }
}
