#ifndef __TEST_H__
# define __TEST_H__

/*
 * This test sets all elements of the matrix with
 * a pseudo-random integer between 0 and RAND_MAX.
 * Then, it stores the matrix, it reloads the matrix
 * and it checks if all the elements are correctly
 * updated to the pseudo-random integer.
 * This test is repeated for rep times.
 * This test use the assert function to check the
 * matrix elements.
 * fd : Matrix file descriptor
 * rep: Test repetition times
 * On success, 0 is returned. On error, -1 is returned.
 */
int test1(int fd, int rep);

/*
 * This test sets all elements of the matrix with
 * a special value.
 * Then, it stores the matrix, it reloads the matrix
 * and it checks if all the elements are correctly
 * updated to the special value.
 * This test is repeated for rep times.
 * This test use the assert function to check the
 * matrix elements.
 * fd : Matrix file descriptor
 * rep: Test repetition times
 * On success, 0 is returned. On error, -1 is returned.
 */
int test2(int fd, int rep);

#endif /* !__TEST_H__ */
